﻿using HeuristicLab.Core;
using HeuristicLab.Problems.DataAnalysis;

namespace HeuristicLab.Problems.Instances.DataAnalysis {
  public static class RandomExtensions {
    public static double NextDouble(this IRandom rand, double min, double max) {
      return (max - min) * rand.NextDouble() + min;
    }
    public static DoubleVector NextDoubleVector(this IRandom rand, double min, double max, int length) {
      var values = new double[length];
      for (int i = 0; i < values.Length; i++) {
        values[i] = rand.NextDouble(min, max);
      }
      return new DoubleVector(values);
    }
  }
}